#include "strfun.hh"

const std::string UCase(const std::string& s)
{
    std::string result(s);
    for(unsigned a=0; a<result.size(); ++a)
        result[a] = std::toupper(result[a]);
    return result;
}

const std::string UnQuote(const std::string& s)
{
    std::string result;
    char quotemode=0;
    for(unsigned a=0; a<s.size(); ++a)
    {
        if(quotemode)
        {
            if(s[a] == quotemode) { quotemode=0; continue; }
            result += s[a];
        }
        else if(s[a] == '\'' || s[a] == '"') { quotemode = s[a]; continue; }
        else result += s[a];
    }
    return result;
}
